Subject: Re: Problem running bash from sshd again (was: Re: Updated: bash-2.04-7)
From: Ralf Fassel <[email-masked]>
To: cygwin <[email-masked]>
Date: Wed, 7 Feb 2001 14:58:44 +0100

Sorry for the non-threaded reply, but since I'm not on the mailing
list, I'm replying to this via the mailing list archive where the
Message-Id is not listed for the current message.

| [Christopher Faylor]
| What does your mount table look like when you are logged in via ssh?

Looks ok, but still does not work:
    $ mount
    Device              Directory           Type         Flags
    C:\cygwin\bin       /usr/bin            system       binmode
    C:\cygwin\lib       /usr/lib            system       binmode
    C:\cygwin           /                   system       binmode
    $ pwd
    /cygdrive/c/home/remote
    $ cd c:/
    $ pwd
    c
    $ ls
    ls: .: No such file or directory

Note that when I log in as that non-admin account, a directory
c:/cygwin/cygdrive/c/home/remote is created when I log in as user
`remote' (where c:/home/remote is the HOME of that user).
This does not happen with the old version of ssh/bash.

For completeness' sake:
New sshd/cygwin/bash info:

      615k 2001/01/31 C:\cygwin\bin\cygwin1.dll
	Cygwin DLL version info:
	    dll major: 1001
	    dll minor: 8
	    dll epoch: 19
--<snip-snip>--
	    build date: Wed Jan 31 10:08:38 EST 2001

-----------------------------------
Admin account seems ok in all conditions:

local bash, no ssh
    Administrator$ mount
    Device              Directory           Type         Flags
    C:\cygwin\bin       /usr/bin            system       binmode
    C:\cygwin\lib       /usr/lib            system       binmode
    C:\cygwin           /                   system       binmode

ssh, no local bash
    Administrator$ mount
    Device              Directory           Type         Flags
    C:\cygwin\bin       /usr/bin            system       binmode
    C:\cygwin\lib       /usr/lib            system       binmode
    C:\cygwin           /                   system       binmode
    $ pwd
    /cygdrive/c/home/Administrator
    $ cd c:/
    $ pwd
    /cygdrive/c

=====================================

With the `old' version of sshd/cygwin/bash:
    ssh$ cygcheck -s
       ...
       586k 2000/08/04 C:\cygwin\bin\cygwin1.dll
	 Cygwin DLL version info:
	     dll major: 1001
	     dll minor: 4
	     dll epoch: 19
	 --<snip-snip>--
	     build date: Thu Aug 3 20:53:46 EDT 2000
ssh login
    ssh$ mount
    $ mount
    Device              Directory           Type         Flags
    C:\cygwin\bin       /usr/bin            system       binmode
    C:\cygwin\lib       /usr/lib            system       binmode
    C:\cygwin           /                   system       binmode

Local bash, old version:
    $ mount
    Device              Directory           Type         Flags
    C:\cygwin\bin       /usr/bin            system       binmode
    C:\cygwin\lib       /usr/lib            system       binmode
    C:\cygwin           /                   system       binmode
====================================

R'

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple